%global enable_tests 1
%global srcname archiver-utils

%global commit0 f70a0a3c2c83f128ce8ac1497cfaf6ef4ca8be4d
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global owner archiverjs

Name:           nodejs-%{srcname}
Version:        1.3.0
Release:        4%{?dist}
Summary:        Utility functions for nodejs-archiver
License:        MIT
URL:            https://github.com/archiverjs/archiver-utils
Source0:        https://github.com/%{owner}/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch

ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(chai)
BuildRequires:  npm(lazystream)
BuildRequires:  npm(lodash)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(mocha)
BuildRequires:  npm(normalize-path)
BuildRequires:  npm(readable-stream)
BuildRequires:  npm(rimraf)
%endif

%description
%{summary}.

%prep
%setup -qn %{srcname}-%{commit0}
rm -rf node_modules

%nodejs_fixdep lazystream 1.x
%nodejs_fixdep glob
%nodejs_fixdep lodash

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter dot
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 28 2016 Piotr Popieluch <piotr1212@gmail.com> - - 1.3.0-2
- fixdep node dependencies

* Sun Aug 28 2016 Piotr Popieluch <piotr1212@gmail.com> - - 1.3.0-1
- Update to 1.3.0

* Sat Feb 27 2016 Piotr Popieluch <piotr1212@gmail.com> - 0.3.0-1
- Initial package
